unit client;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, LResources, Forms, Controls, Graphics, Dialogs,
  lNetComponents, Buttons, StdCtrls;

const
     my_port = 31337;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Edit1: TEdit;
    edHostName: TEdit;
    edHostPort: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    TCP: TLTCPComponent;
    Memo1: TMemo;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure TCPConnect(aSocket: TLSocket);
    procedure TCPDisconnect(aSocket: TLSocket);
    procedure TCPError(const msg: string; aSocket: TLSocket);
    procedure TCPReceive(aSocket: TLSocket);
  private
    { private declarations }
  public
    { public declarations }
  end; 

var
  Form1: TForm1; 

implementation

{ TForm1 }

procedure TForm1.Button2Click(Sender: TObject);
begin
   TCP.Connect(edHostName.Text, StrToInt(edHostPort.Text));
   if TCP.Connecting then
   begin
      ShowMessage('try to connect : ' + edHostName.Text + ':' + edHostPort.Text);
   end;
   if TCP.Connected then
   begin
     label1.Caption:= 'connected: ' + edHostName.Text + ':' + edHostPort.Text;
      ShowMessage('b');
   end;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  if TCP.Connected then
  begin
    TCP.SendMessage(edit1.Text);
  end else begin
    Memo1.Lines.add('Nicht verbunden');
  end;
end;

procedure TForm1.TCPConnect(aSocket: TLSocket);
begin
  Label1.Caption := 'Status: Connected';
end;

procedure TForm1.TCPDisconnect(aSocket: TLSocket);
begin
  Label1.Caption := 'Status: Nicht Connected';
end;

procedure TForm1.TCPError(const msg: string; aSocket: TLSocket);
begin
  ShowMessage(msg);
end;

procedure TForm1.TCPReceive(aSocket: TLSocket);
var
   tmp: String;
begin
    TCP.GetMessage(tmp);
    Memo1.Lines.Add(tmp);
end;

initialization
  {$I client.lrs}

end.

